Bug 1273404 - Optimize Planning does not show duplicate VMs
Optimize Planning does not show duplicate VMs
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity low
: GA
: 5.6.1
Assigned To: lgalis
Nandini Chandra
optimize
: ZStream
Depends On:
Blocks: 1291758 1356662
  Show dependency treegraph
 
Reported: 2015-10-20 07:45 EDT by Christian Jung
Modified: 2016-08-19 15:28 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.6.1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1291758 1356662 (view as bug list)
Environment:
Last Closed: 2016-08-18 13:44:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
two VMs with the same name in different providers (7.20 KB, image/png)
2015-10-20 07:48 EDT, Christian Jung
no flags Details
Optimize, Planning only shows one VM (31.00 KB, image/png)
2015-10-20 07:49 EDT, Christian Jung
no flags Details

  None (edit)
Description Christian Jung 2015-10-20 07:45:07 EDT
Description of problem:
Sometimes VMs with the same name can exist in multiple providers. E.g. "test1" exists in VMWare and RHEV.

In such a scenario the Optimize, Planning feature of CF only shows one of the two VMs.

Version-Release number of selected component (if applicable):
5.4.

How reproducible:
always

Steps to Reproduce:
1. create two providers e.g. RHEV and VMware
2. create a VM called "test1" in both providers
3. navigate to "Optimize, Planning"
4. select "All VMs"
5. the drop down list only shows "test1" once and does not indicate to which provider the VM belongs

Actual results:
"test1" is shown only once and there is no way to tell to which provider it belongs

Expected results:
there should be two VMs showing up and ideally they should indicate to which provider they belong (maybe something like "<vm name> on <provider>"
Comment 2 Christian Jung 2015-10-20 07:48 EDT
Created attachment 1084697 [details]
two VMs with the same name in different providers
Comment 3 Christian Jung 2015-10-20 07:49 EDT
Created attachment 1084698 [details]
Optimize, Planning only shows one VM

you can also see there is no way to tell on which provider this VM runs
Comment 6 CFME Bot 2016-06-27 16:01:00 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/4aad6822a43576d57c9f60adb614476d86f14109

commit 4aad6822a43576d57c9f60adb614476d86f14109
Author:     Laura Galis <lgalis@redhat.com>
AuthorDate: Wed Jun 22 11:56:24 2016 -0400
Commit:     Laura Galis <lgalis@redhat.com>
CommitDate: Mon Jun 27 13:35:27 2016 -0400

    VM with duplicate names are not listed in the Optimize->Planning VM list
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1273404

 app/controllers/miq_capacity_controller.rb | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)
Comment 10 Nandini Chandra 2016-08-05 12:15:37 EDT
Verified in  5.6.1
Comment 12 errata-xmlrpc 2016-08-18 13:44:29 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1634.html

Note You need to log in before you can comment on or make changes to this bug.